## uanytun 0.3.3

=== doc/Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 ##  tunneling and relaying of packets of any protocol.
 ##  
 ##
-##  Copyright (C) 2007-2008 Christian Pointner <equinox@anytun.org>
+##  Copyright (C) 2007-2010 Christian Pointner <equinox@anytun.org>
 ##
 ##  This file is part of uAnytun.
 ##
@@ -49,4 +49,7 @@
 manpage: uanytun.8
 
 clean:
-	rm -f uanytun.8 uanytun.8.xml
+	rm -f uanytun.8.xml
+
+realclean: clean
+	rm -f uanytun.8
