=== debian/changelog ===
uanytun (0.3.6-2) unstable; urgency=medium

  * [45680e6] Fix lintian-warning: init.d-script-does-not-source-init-functions

 -- Darshaka Pathirana <dpat@syn-net.org>  Mon, 08 May 2017 01:11:49 +0200

uanytun (0.3.6-1) unstable; urgency=medium

  * [43e4474] Bump debian compat version to 9
  * [5c5b022] Add #DEBHELPER# token
  * [de3addf] Add build targets build-arch + build-indep
  * [39e27b4] Bump Debian Standards-Version to 3.9.8 (no further changes)
  * [aa4c000] Update + convert debian/copyright to machine-readable deb5 format
  * [bf2b2bb] Add debian/watch file
  * [070b364] Add debian/source/format file, 3.0 (quilt)
  * [70cf739] Imported Upstream version 0.3.6
  * [659377b] Update myself as maintainer / add Michael Prokop as Uploader
  * [4c90b69] Update Vcs-* headers to point to new maintainer location

 -- Darshaka Pathirana <dpat@syn-net.org>  Thu, 26 Jan 2017 03:02:36 +0100

uanytun (0.3.5-1) unstable; urgency=medium

  * [71f6f66] Imported Upstream version 0.3.5
    - Includes support for clang [Closes: #745643]
  * [d1e000b] Bump Standards-Version to 3.9.5
  * [a836c46] wrap-and-sort the debian directory
  * [2fd4cc8] Update dependency from libgcrypt11-dev to libgcrypt20-dev

 -- Michael Prokop <mika@grml.org>  Fri, 29 Aug 2014 13:49:59 -0700

uanytun (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.8.4 (no further changes).
  * Add $remote_fs to Required-{Start,Stop} in initscript.

 -- Michael Prokop <mika@debian.org>  Wed, 17 Feb 2010 03:10:04 +0100

uanytun (0.3.2-2) unstable; urgency=low

  * Drop asciidoc and related packages from build-depends and ship
    manpage statically instead. Upstream will ship manpage in
    next release through the tarball.
  * Apply patch based on the one from Cyril Brulebois for anytun to fix
    FTBFS on GNU/kFreeBSD.

 -- Michael Prokop <mika@debian.org>  Wed, 23 Dec 2009 03:50:43 +0100

uanytun (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #531082)

 -- Michael Prokop <mika@debian.org>  Mon, 14 Dec 2009 17:43:13 +0100
