=== debian/control ===
Source: uanytun
Section: net
Priority: extra
Maintainer: Darshaka Pathirana <dpat@syn-net.org>
Uploaders: Michael Prokop <mika@debian.org>
Build-Depends: debhelper (>= 9~),
               libgcrypt20-dev
Standards-Version: 3.9.8
Homepage: http://www.anytun.org/
Vcs-git: git://git.syn-net.org/debian/uanytun.git
Vcs-Browser: https://git.syn-net.org/?p=debian/uanytun.git

Package: uanytun
Architecture: any
Depends: adduser,
         lsb-base (>= 3.0-6),
         ${misc:Depends},
         ${shlibs:Depends}
Description: tiny implementation of the secure anycast tunneling protocol
 uAnytun is a tiny implementation of SATP (Secure Anycast Tunneling
 Protocol). Unlike Anytun which is a full featured implementation
 uAnytun has no support for multiple connections or synchronisation.
 It is a small single threaded implementation intended to act as a
 client on small platforms. SATP defines a protocol used for
 communication between any combination of unicast and anycast tunnel
 endpoints. It has less protocol overhead than IPSec in Tunnel mode
 and allows tunneling of every ETHER TYPE protocol (e.g. ethernet,
 ip, arp ...). SATP directly includes cryptography and message
 authentication based on the methodes used by SRTP (Secure Real-time
 Transport Protocol). It is intended to deliver a generic,
 scaleable and secure solution for tunneling and relaying of packets
 of any protocol.
