## uanytun 0.3.7

=== debian/changelog ===
uanytun (0.3.7-2) unstable; urgency=medium

  * [297cfb5] Vcs-git is currently not accessible, removed
  * [49171e1] Bump Debian Standards-Version to 4.5.1 / Debian compat +
    debhelper to 11
  * [099ed35] Updated Vcs-* to salsa.debian.org

 -- Darshaka Pathirana <dpat@syn-net.org>  Mon, 01 Feb 2021 23:31:33 +0100

uanytun (0.3.7-1) unstable; urgency=medium

  * [2ca04c9] Imported Upstream version 0.3.7
  * [81e0859] Drop source init-functions at initscript patch
  * [6f55c74] Update Debian copyright file
  * [978218a] Change Priority of package to optional
  * [6fdfbb1] Bump Debian Standards-Version to 4.1.4
  * [947d3e8] Fix configure script to honor buildflags
  * [4f429f2] Update debian/rules file
  * [cdb24b6] Fix typo in manpage
  * [18bcfe3] Fix spelling error in description

 -- Darshaka Pathirana <dpat@syn-net.org>  Sun, 17 Jun 2018 15:44:03 +0200
