=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: uanytun
 Section: net
-Priority: extra
+Priority: optional
 Maintainer: Darshaka Pathirana <dpat@syn-net.org>
 Uploaders: Michael Prokop <mika@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                libgcrypt20-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.5.1
 Homepage: http://www.anytun.org/
-Vcs-git: git://git.syn-net.org/debian/uanytun.git
-Vcs-Browser: https://git.syn-net.org/?p=debian/uanytun.git
+Vcs-Git: https://salsa.debian.org/debian/uanytun.git
+Vcs-Browser: https://salsa.debian.org/debian/uanytun.git
 
 Package: uanytun
 Architecture: any
@@ -28,5 +28,5 @@
  ip, arp ...). SATP directly includes cryptography and message
  authentication based on the methodes used by SRTP (Secure Real-time
  Transport Protocol). It is intended to deliver a generic,
- scaleable and secure solution for tunneling and relaying of packets
+ scalable and secure solution for tunneling and relaying of packets
  of any protocol.
