=== debian/watch ===
version=4
https://www.anytun.org/download/ \
uanytun-([\d\.]+)\.tar\.gz
